/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import java.util.Date;
import java.util.List;
import java.util.Map;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.Estado;
import com.rjconsultores.ventaboletos.entidad.Pais;
import com.rjconsultores.ventaboletos.utilerias.RegistroConDependenciaException;

/**
 *
 * @author MCosso
 */
public interface EstadoService {

	public List<Estado> obtenerTodos();

    public Estado obtenerID(Integer id);

    public Estado suscribir(Estado entidad);

    public Estado actualizacion(Estado entidad);

    public void borrar(Estado entidad) throws RegistroConDependenciaException;
	
    public List<Estado> buscar(String nombestado, Pais pais);
    
    public List<Estado> buscarNotInEmpresaImposto(Empresa empresa);
    
    public List<Estado> buscarCveEstado(String cveEstado);
    
    public Map<String, Integer> getConfiguracoesFusoVeraoParada(Integer paradaId, Date data);
    
    public Map<String, Integer> getConfiguracoesFusoVeraoPuntoventa(Integer puntoventaId, Date data);    
}